Package: javax.swing

## [Java] Class JComboBox

- javax.swing.JComboBox

-     public class JComboBox
      extends Object

  GDK enhancements for JComboBox.

  displayName:
    JComboBox
  receiverFqcn:
    javax.swing.JComboBox

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()` Removes all items from the JComboBox.
    `` | `public Object` | `getAt(int index)` Support the subscript operator for JComboBox.
    `` | `public Iterator<?>` | `iterator()` Returns an Iterator which traverses the ComboBox one item at a time.
    `` | `public JComboBox<?>` | `leftShift(Object i)` Overloads the left shift operator to provide an easy way to add items to a JComboBox.
    `` | `public int` | `size()` Provide the standard Groovy `size()` method for `JComboBox`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public void clear()

      Removes all items from the JComboBox.

      Since:
        1.6.4

    - #### public Object getAt(int index)

      Support the subscript operator for JComboBox.

      Parameters:
        `index` - the index of the item to get
      Returns:
        the tem at the given index
      Since:
        1.6.4

    - #### public Iterator<?> iterator()

      Returns an Iterator which traverses the ComboBox one item at a time.

      Returns:
        an Iterator for a ComboBox
      Since:
        1.6.4

    - #### public JComboBox<?> leftShift(Object i)

      Overloads the left shift operator to provide an easy way to add items to a JComboBox.

      Parameters:
        `i` - an item to be added to the comboBox.
      Returns:
        same comboBox, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `JComboBox`.

      Returns:
        the item count of the comboBox
      Since:
        1.6.4